Page MenuHomePhabricator

flake8_docstrings.py failes with TypeError
Closed, ResolvedPublic

Description

See:
https://integration.wikimedia.org/ci/job/pywikibot-core-tox-jessie/2576/console
https://integration.wikimedia.org/ci/job/pywikibot-core-tox-jessie/2577/console

Looks like pydocstyle 2.1.1 (uploaded on 2017-10-09) is no longer compatible with flkake8-docstring 1.1.0

Event Timeline

Xqt created this task.Oct 11 2017, 8:16 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptOct 11 2017, 8:16 AM
Xqt triaged this task as High priority.Oct 11 2017, 8:16 AM

Change 383515 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] fix flake8-docstrings failure

https://gerrit.wikimedia.org/r/383515

Xqt claimed this task.Oct 11 2017, 8:33 AM
Dalba closed this task as Resolved.Oct 13 2017, 7:10 AM

Change 383515 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] fix flake8-docstrings failure

https://gerrit.wikimedia.org/r/383515